import { registerExtension } from 'vscode/extensions';

var manifest = {name:"razor",displayName:"%displayName%",description:"%description%",version:"1.0.0",publisher:"vscode",license:"MIT",engines:{vscode:"0.10.x"},scripts:{"update-grammar":"node ./build/update-grammar.mjs"},categories:["Programming Languages"],contributes:{languages:[{id:"razor",extensions:[".cshtml",".razor"],aliases:["Razor","razor"],mimetypes:["text/x-cshtml"],configuration:"./language-configuration.json"}],grammars:[{language:"razor",scopeName:"text.html.cshtml",path:"./syntaxes/cshtml.tmLanguage.json",embeddedLanguages:{"section.embedded.source.cshtml":"csharp","source.css":"css","source.js":"javascript"}}]},repository:{type:"git",url:"https://github.com/microsoft/vscode.git"},main:undefined};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true});
registerFileUrl('./syntaxes/cshtml.tmLanguage.json', new URL('./resources/cshtml.tmLanguage.json', import.meta.url).toString(), {"mimeType":"application/json","size":25997});
registerFileUrl('./language-configuration.json', new URL('./resources/language-configuration.json', import.meta.url).toString(), {"mimeType":"application/json","size":338});
registerFileUrl('package.json', new URL('./resources/package.json', import.meta.url).toString(), {"mimeType":"application/json","size":740});
registerFileUrl('package.nls.json', new URL('./resources/package.nls.json', import.meta.url).toString(), {"mimeType":"application/json","size":130});

export { whenReady };
